--- lib_test/ldd_test.ml.orig	2011-09-15 23:09:06.000000000 -0400
+++ lib_test/ldd_test.ml	2011-09-15 23:09:06.000000000 -0400
@@ -60,14 +60,16 @@
 let test =
   "Ldd_test" >::
     (fun () ->
-       check_exe !core_hello;
-       check_exe !core_extended_hello;
-       let base_libs = libs !core_hello @ whitelist
-       and ext_libs = libs  !core_extended_hello in
-       let added_libs = List.filter ext_libs
-         ~f:(fun l -> not (List.mem ~set:base_libs l))
-       in
-       if added_libs <> [] then
-         assert_failure
-           (sprintf "Core_extended links in new external libraries %s"
-              (String.concat ~sep:" " added_libs)));
+      if Unix.Utsname.sysname (Unix.uname ()) = "Linux" then begin
+        check_exe !core_hello;
+        check_exe !core_extended_hello;
+        let base_libs = libs !core_hello @ whitelist
+        and ext_libs = libs  !core_extended_hello in
+        let added_libs = List.filter ext_libs
+          ~f:(fun l -> not (List.mem ~set:base_libs l))
+        in
+        if added_libs <> [] then
+          assert_failure
+            (sprintf "Core_extended links in new external libraries %s"
+               (String.concat ~sep:" " added_libs))
+      end);
